declare interface Params {
  [key: string]: any 
}
declare interface ApiFetch {
  get: (url: string, params?: Params, header?: Headers) => Promise<FetchResponse>
  post: (url: string, params?: Params, header?: Headers) => Promise<FetchResponse>
  destroy: (url: string, params?: Params, header?: Headers) => Promise<FetchResponse>
  patch: (url: string, params?: Params, header?: Headers) => Promise<FetchResponse>
  put: (url: string, params?: Params, header?: Headers) => Promise<FetchResponse>
  setToken: (authToken: string) => void
  baseURL: '/' | string
  loading: boolean
  token: string
}
declare type FetchResponse = string | Blob | ArrayBuffer | ReadableStream<Uint8Array>

let loading = false
let token = ''
const baseURL = '/'
declare function get(url: string, params?: Params, headers?: Headers): Promise<FetchResponse>;
declare function post(url: string, params?: Params, headers?: Headers): Promise<any>;
declare function patch(url: string, params?: Params, headers?: Headers): Promise<FetchResponse>;
declare function put(url: string, params?: Params, headers?: Headers): Promise<FetchResponse>;
declare function destroy(url: string, params?: Params, headers?: Headers): Promise<FetchResponse>;
declare function setToken(authToken: string): void;
export declare const Fetch: ApiFetch;